Description: Right now time (estimated, elapsed, etc) is entered in hours. So for example 2.5 means 2 hours and 30
minutes.
It will be very great to be able to enter time as "2h 30m" or "4w 3d 2h 1m".
Of course there should be n option to choose how to output times in views:

* Normal (e.g. 1d 2h 30m)
* In Hours (e.g. 8.00)

Also there should be a configuration option to set how much hours in a day (8 by default).

History

2011-02-08 05:57 pm - Aleksey Zapparov
Related issue: http://www.redmine.org/issues/5007

Also | was "too hot" about "2h 30m" - it's already supported. But | believe that we have to allow add days and weeks too. So there should be config t set
how many days in a week, and how many hours in a day. And of course the main and very necessary thing is to make output more user-friendly.

2011-02-08 10:39 pm - Eric Davis

- Category set to Time entries

2011-02-09 02:20 pm - Felix Schéafer

Is @hh:mm@ an accepted format for durations?

Regarding the ability to add greater time lengths, for example days and weeks, how often do you use them, and where do you input so much time that

you'd need it parsed? I've never had an issue that took up more than 4 hours, so I'm a little puzzled.
2011-02-09 02:32 pm - Aleksey Zapparov
Felix SchArfer wrote:

> Is @hh:mm@ an accepted format for durations?

Yes, this format is a great one. But some of people like to have more "easy" to understand formats. So for example it's easier to read and estimate in
the head how long is that if it's written like _"2d 3h"_, then _"19:00"_.

> days and weeks, how often do you use them

If we talk about me, then sometimes. But if we talk about other people then it depends on too many factors.

> and where do you input so much time that you'd need it parsed? I've never had an issue that took up more than 4 hours, so I'm a little puzzled.
Well. First of all, an issue can have sub-tasks, so total amount of hours of one issue can be pretty much big. Also we have to keep in mind, that
ChiliProject is a generic "project management system", not "a +software+ project management system". So some of people use it as a project

management for their different types of tasks, e.g. _"replace all UTP wires with fiberglass in the Joe's cabinet"_.

2011-02-09 08:03 pm - Eric Davis

2020-10-25 1/3




One problem will be with the configurable amount of time in each (week, month, year, etc). This is a place where it's really easy to spend a lot of time

without much additional benefit:

* week versus work week
* holidays

* leap years

* office hours

* half days

* vacation time

* split shifts

*

If we can keep to a standard length of time then this would be a little easier. Day is 24 hours, week is 7 days, month is 30 days, year is 365 days. But
even here we have to make assumptions (no 28, 29, or 31 day months or leap-years).

Personally | prefer a simpler system that is easy to understand than a complex one that is difficult to configure. But that's just my opinion, I'm open to

proposals/ideas/code for this.

2011-02-09 08:32 pm - Aleksey Zapparov

My idea was a little bit more humble than months, years... | thought week will be the largest amount. So there will be a configuration option to give
admin set how much hours in a day and how much days in a week. So no point for extra complex leap years, or holidays. So right now | see that it
would be better to achieve this as follows:

# Output of the time should use some standard helper, so all places will have time formatted with absolutely same format

# By default this helper should output date as @hh:mm@

# Admin will have ability to choose format of how to display this values

# If chosen format requires some additional settings (e.g. # of days in a week) then additional settings are shown.

After all. If I am the only single person who miss this feature (which is the standard de-facto in some of project management systems afaik), then all
what is needed is to fix first bullet of the list above, so I'll simply write a plug-in which will extend standard functionality. So then when I'll write a plugin,
if it will become popular we'll be able to either move it to the standard shipping or merge it's features in the core.

2012-01-15 01:18 am - brendan edmonds

From what | understand, when you log time, its the actual amount of hours you spent doing the task. Not the total amount of hours including out of
business hours, holidays, etc.

If you need to enter more than 24 hours for one time entry, put your time in, and HAVE A BREAK.

But in saying that | tend to agree the way the time is formatted is very confusing, and needs to be fixed in the format hh:mm.

| am using redmine, has this been fixed in chili?

2012-09-18 06:28 pm - Rolando Valdivia
| agree about the format "hh:mm".

But remember that the time entries relates the time spent in a task in a day.

You can spend up to 24 hours per day in a task or multiple tasks.

Can you work 1w in a day?

If you generate a report you will say: "l spent 3w this week" or "l spent 9w this month"
The system should not allow to log more than 24 hours per day.
